package yangtz.cs.liu.dingding.service.dingUser;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IDdUserService {

    /**
     * 获取钉钉全部用户id
     */
    List<String> getDdUserListAll();

    /**
     * 下拉钉钉用户到系统
     */
    int addDdUser();

    /**
     * 用户表数据同步到教师表
     * @return
     */
    int addDdTeacher();

    /**
     * 同步钉钉用户
     */
    String syncDdUser();

    /**
     * 处理通讯录用户增加
     */
    int addUser(JSONObject eventJson);

    /**
     * 处理通讯录用户修改
     */
    int updateUser(JSONObject eventJson);

    /**
     * 处理通讯录用户离职
     */
    int leaveUser(JSONObject eventJson);

}
